# pcb_backannotate

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXIT STATUS
BUGS
SEE ALSO

## NAME

pcb_backannotate − backannotates changes from a PCB annotation file to schematic

## SYNOPSIS

pcb_backannotate −h|−−help

pcb_backannotate −V|−−version

pcb_backannotate [options] ecofile.eco infile1.sch [infile2.sch ...]

## DESCRIPTION

The pcb_backannotate program reads an engineering change order (ECO) file generated by the PCB program and backannotates the requested changes to a gschem schematic or schematics. Refer to the PCB manual for a complete description of the ECO file format.

## OPTIONS

−h, −−help

prints help message and exits

−n, −−nocopy

Leave the modified schematic files in new files whose names are generated by appending .new to the original file names. The default is to overwrite the original.

−v, −−verbose

operate verbosely

−V, −−version

prints version information and exits

## EXIT STATUS

pcb_backannotate will return 0 if all files processed successfully, non-zero if the command did not complete successfully.

## BUGS

Rather than parsing and processing schematic files directly, this utility should be rewritten using the gEDA scheme API. This would take advantage of the existing parsers for the schematic files.

## SEE ALSO

gnetlist(1), gschem(1), pcb(1)